<div class="gmail_extra"><div class="gmail_quote"><br><blockquote class="gmail_quote" style="margin:0 0 0 .8ex;border-left:1px #ccc solid;padding-left:1ex">Thanks to all for the comparisons between apt &amp; cabal.<br>
Your reply basically explains why it is broken, and gives a rationale (cost and trouble to do it), but no prognosis for repair.<br></blockquote><div><br></div><div>It&#39;s an open problem.</div><div><br></div><div>I make do with disposable sand-boxes, using cabal-dev to build them.  In this way, I can keep many (of my) libraries building, even if different libraries need incompatible versions of Hackage libraries.  If I run into a problem in a library&#39;s build environment, I either fix it surgically or nuke it, without affecting any other build environments.</div>
<div><br></div><div><br></div></div></div>